const nconf = require('nconf');

let config_file;

switch(process.env.NODE_ENV) {
    case 'development':
        config_file = 'config.json';
        break;
    case 'test':
        config_file = 'test_config.json';
        break;
    case 'production':
        config_file = 'config.json';
        break;
}

// Exports the config.json as an object with get functions
nconf.argv()
    .env()
    .file({ file: `${process.cwd()}/${config_file}` });

console.log(nconf.get('mongodb'));

module.exports = nconf;
